.resetsuccess {
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    background: #fff;
}

body {
    height: 100%;
}

.resetsuccess .main-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: auto;
    z-index: 2;
}

.resetsuccess .titleContainer {
    display: flex;
    justify-content: center;
}

.resetsuccess .main-container .successImage {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/done_icon_m_v1.png);
    background-size: contain;
    background-repeat: no-repeat;
    width: 100px;
    height: 100px;
    margin-top: 75px;
}

.resetsuccess .titleContainer .portalImage {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/v2/background/new_login_portal.svg);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    width: 476px;
    aspect-ratio: 992 / 379;
    height: auto;
}


.resetsuccess .main-container .button {
    font-family: "Metropolis Bold";
    display: flex;
    justify-content: center;
    align-items: center;
    color: #1471DB;
    background-color: transparent;
    font-size: 24px;
    line-height: 16px;
    letter-spacing: 0.6px;
    margin-top: 157px;
}


.resetsuccess .main-container .subTitle {
    font-family: "Metropolis Bold";
    font-size: 28px;
    line-height: 28px;
    letter-spacing: 0.42px;
    color: #4B4A4A;
    margin-top: 36px;
}

.resetsuccess .main-container .message {
    font-family: "Metropolis Regular";
    font-size: 24px;
    line-height: 28px;
    letter-spacing: 0.36px;
    color: #4B4A4A;
    margin-top: 16px;
    margin-inline: 5px;
    text-align: center;
}

.resetsuccess .main-container .confirmationContainer {
    display: flex;
    justify-content: center;
    margin-block: 16px 36px;
    width: 476px;
    flex-direction: column;
    align-items: center;
    row-gap: 16px;
    margin-top: 64px;

}

.resetsuccess .main-container .confirmationContainer .messageTwo {
    font-family: "Metropolis Regular";
    font-size: 24px;
    line-height: 28px;
    letter-spacing: 0.36px;
    color: #333333;
    margin-right: 5px;
}

.resetsuccess .main-container .confirmationContainer .link {
    font-family: "Metropolis Bold";
    font-size: 24px;
    line-height: 16px;
    letter-spacing: 0.6px;
    color: #1471DB;
    text-decoration: none;
    cursor: pointer;
}

/* Dark mode */
.dark .resetsuccess {
    background: #131514;
}

.dark .resetsuccess .main-container .subTitle,
.dark .resetsuccess .main-container .message,
.dark .resetsuccess .main-container .confirmationContainer .messageTwo {
    color: rgba(255, 255, 255, 0.87);
}

.dark .resetsuccess .main-container .button,
.dark .resetsuccess .main-container .confirmationContainer .link {
    color: #1683ff;
}

@media only screen and (max-width: 830px) {
    .resetsuccess .titleContainer {
        width: 100%;
    }
    .resetsuccess .main-container .button,
    .resetsuccess .titleContainer .portalImage {
        width: 80%;
    }
    .resetsuccess .main-container {
        width: 100%;
    }
    .resetsuccess .main-container .message {
        width: 80%;
    }
    .resetsuccess .main-container .confirmationContainer {
        width: 80%;
        row-gap: 4px;
        margin-top: 24px;
    }
}

@media only screen and (max-width: 480px) {
    .resetsuccess .main-container .button,
    .resetsuccess .main-container .confirmationContainer .link {
        font-size: 17px;
    }

    .resetsuccess .main-container .subTitle {
        font-size: 24px;
        line-height: 32px;
        letter-spacing: 0.36px;
    }
    
    .resetsuccess .main-container .message,
    .resetsuccess .main-container .confirmationContainer .messageTwo,
    .resetsuccess .main-container .confirmationContainer .link {
        font-size: 17px;
        line-height: 16px;
        letter-spacing: 0.17px;
    }
}